Bug 710709 - [abrt] kernel: general protection fault: 0000 [#1] SMP : TAINTED Die
[abrt] kernel: general protection fault: 0000 [#1] SMP : TAINTED Die
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:addb23ca394eb5ffbaa93275573...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-04 03:23 EDT by Zoltan Hoppar
Modified: 2012-07-11 13:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 13:48:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zoltan Hoppar 2011-06-04 03:23:01 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        ro root=/dev/mapper/VolGroup-lv_root rd_LVM_LV=VolGroup/lv_root rd_LVM_LV=VolGroup/lv_swap rd_NO_LUKS rd_NO_MD rd_NO_DM LANG=hu_HU.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=hu rhgb quiet
comment:        I have written out one single disc with burnproof. After finishes the wrinting, and beguns the creation of checksum, the kernel drops segfault, and for a moment dumps to terminal a bunch of output.
component:      kernel
kernel:         2.6.38.6-27.fc15.x86_64
kernel_tainted: 128
os_release:     Fedora release 15 (Lovelock)
package:        kernel
reason:         general protection fault: 0000 [#1] SMP 
reported_to:    kerneloops: URL=http://submit.kerneloops.org/submitoops.php
time:           Sat Jun  4 09:17:36 2011

backtrace:
:general protection fault: 0000 [#1] SMP 
:last sysfs file: /sys/devices/system/cpu/cpu1/cache/index2/shared_cpu_map
:CPU 0 
:Modules linked in: usb_storage uas tcp_lp fuse 8021q garp stp llc cpufreq_ondemand powernow_k8 freq_table mperf ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables snd_hda_codec_hdmi snd_hda_codec_idt arc4 b43 snd_hda_intel snd_hda_codec snd_hwdep hp_wmi snd_seq mac80211 snd_seq_device snd_pcm hp_accel uvcvideo videodev sparse_keymap btusb cfg80211 snd_timer ssb mmc_core sky2 shpchp bluetooth wmi sp5100_tco lis3lv02d joydev serio_raw input_polldev snd edac_core edac_mce_amd v4l2_compat_ioctl32 rfkill microcode i2c_piix4 k10temp soundcore snd_page_alloc ipv6 video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 1654, comm: pulseaudio Not tainted 2.6.38.6-27.fc15.x86_64 #1 Hewlett-Packard HP ProBook 4515s/7011
:RIP: 0010:[<ffffffff8112fde9>]  [<ffffffff8112fde9>] poll_freewait+0x4e/0xaa
:RSP: 0018:ffff88006cdbbab8  EFLAGS: 00010202
:RAX: 000000000000006b RBX: 0101015001494454 RCX: 0000000000000008
:RDX: ffffea000110da18 RSI: ffff88006c8169a0 RDI: 0000000000000202
:RBP: ffff88006cdbbaf8 R08: ffffea000110da18 R09: 0000000000000004
:R10: 0000000000000000 R11: ffff88006c80ff30 R12: 0101015001494454
:R13: ffff88006993e490 R14: ffff88006cdbbd78 R15: fffffffffffffb80
:FS:  00007f15185d0780(0000) GS:ffff88006c800000(0000) knlGS:0000000000000000
:CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
:CR2: 00007f3d87e16000 CR3: 000000006a091000 CR4: 00000000000006f0
:DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
:DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
:Process pulseaudio (pid: 1654, threadinfo ffff88006cdba000, task ffff880068252e40)
:Stack:
: 0000000000000246 ffff88006993e010 ffff88006cdbbae8 0000000000000000
: 0000000000d7bb80 ffff88006cdbbe9c 0000000000000001 0000000000000000
: ffff88006cdbbef8 ffffffff81130d33 ffff88006cdbbc08 ffff880000000000
:Call Trace:
: [<ffffffff81130d33>] do_sys_poll+0x314/0x386
: [<ffffffff8112fe45>] ? __pollwait+0x0/0xcc
: [<ffffffff8112ff11>] ? pollwake+0x0/0x54
: [<ffffffff8112ff11>] ? pollwake+0x0/0x54
: [<ffffffff8112ff11>] ? pollwake+0x0/0x54
: [<ffffffff8112ff11>] ? pollwake+0x0/0x54
: [<ffffffff8112ff11>] ? pollwake+0x0/0x54
: [<ffffffff8112ff11>] ? pollwake+0x0/0x54
: [<ffffffff8112ff11>] ? pollwake+0x0/0x54
: [<ffffffff8112ff11>] ? pollwake+0x0/0x54
: [<ffffffff8112ff11>] ? pollwake+0x0/0x54
: [<ffffffff81130f82>] sys_ppoll+0xd0/0x13a
: [<ffffffff8109fa08>] ? audit_syscall_entry+0x145/0x171
: [<ffffffff81009bc2>] system_call_fastpath+0x16/0x1b
:Code: 63 c4 41 ff c4 48 c1 e0 06 4d 8d 74 05 30 49 8b 7e 38 49 8d 76 10 e8 ff f3 f3 ff 49 8b 3e e8 13 2c ff ff 45 3b 65 28 7c d6 eb 48 <4c> 8b 6b 08 48 8d 43 10 48 89 45 c8 4d 89 ec 49 83 ec 40 4d 89 
:RIP  [<ffffffff8112fde9>] poll_freewait+0x4e/0xaa
: RSP <ffff88006cdbbab8>

event_log:
:2011-06-04-09:22:39> Submitting oops report to http://submit.kerneloops.org/submitoops.php
:2011-06-04-09:22:54  Kernel oops report was uploaded
Comment 1 Dave Jones 2012-03-05 17:23:09 EST
this is a mystery. The address that caused the fault was RBX: 0101015001494454, which is just garbage.

Have you managed to reproduce this on any of the updates since that build ?
Comment 2 Zoltan Hoppar 2012-03-05 17:47:10 EST
I receive randomly kernel panics, and I tried everything. Check bug at 800193 either. A little bit newer, HTH.
Comment 3 Dave Jones 2012-03-09 13:06:51 EST
if you could run the kernel-debug build at
http://koji.fedoraproject.org/koji/buildinfo?buildID=304798 that might turn up
a different trace that might be helpful to us to track this down.

(it's going to be considerably slower than the regular build, due to the extra
checking).
Comment 4 Dave Jones 2012-04-11 11:59:36 EDT
had you used hibernate at all ?
If so, the 2.6.43.1 update has a fix for a memory corruption problem that might explain this.
Comment 5 Josh Boyer 2012-07-11 13:48:47 EDT
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.

Note You need to log in before you can comment on or make changes to this bug.